Function .onInit
  SetOutPath $TEMP
  File /oname=spltmp.bmp "oddsock_logo_wa2.bmp"
  File /oname=spltmp.exe "c:\program files\nsis\splash.exe"
  ExecWait '"$TEMP\spltmp.exe" 4000 $HWNDPARENT $TEMP\spltmp'
  Delete $TEMP\spltmp.exe
  Delete $TEMP\spltmp.bmp
FunctionEnd
;
; This script will generate an installer that installs a Winamp plug-in.
; It also puts a license page on, for shits and giggles.
;
; This installer will automatically alert the user that installation was
; successful, and ask them whether or not they would like to make the 
; plug-in the default and run Winamp.
;
; The name of the installer
Name "Oddcast DSP For Winamp 2 (blind friendly version)"

; The file to write
OutFile "oddcast_dsp_wa2_bf_v2.0.8.exe"

!verbose 3
!include "${NSISDIR}\Examples\WinMessages.nsh"
!include "${NSISDIR}\Examples\Modern UI\ModernUI.nsh"
!verbose 4

!insertmacro MUI_INTERFACE "modern2.exe" "adni18-installer-C-no48xp.ico" "adni18-uninstall-C-no48xp.ico" "modern.bmp" "smooth"

LicenseText "Oddcast DSP is released under the GNU Public License"
LicenseData ..\COPYING

CheckBitmap "c:\Program Files\NSIS\contrib\Icons\checksX.bmp"
UninstallText "This will uninstall OddcastV2 Winamp DSP. Hit next to continue."

; The default installation directory
InstallDir $PROGRAMFILES\Winamp

; The text to prompt the user to enter a directory
DirText "Please select your Winamp path below :"
; DirShow hide

; automatically close the installer when done.
; AutoCloseWindow true
; hide the "show details" box
ShowInstDetails show

ComponentText "This will install OddcastV2 Winamp 2 DSP"

; The stuff to install
Section "Oddcast DSP plugin for Winamp 2"

SectionIn 1
SetOutPath $INSTDIR\Plugins

File "Release\dsp_oddcast_v2_bf.dll"
SetOutPath $INSTDIR
File "..\..\oddcast_config\src\Release\oddcast_editConfig.exe"

WriteUninstaller "oddcast-uninst.exe"
; prompt user, and if they select no, skip the following 3 instructions.
SectionEnd
Section "BASS Audio DLLs"
SectionIn 1 2
SetOutPath $INSTDIR
File "..\..\external\lib\bass.dll"
File "..\..\external\lib\basswma.dll"
SectionEnd
Section "Vorbis 1.0 DLLs"
SectionIn 1 3
SetOutPath $INSTDIR
File "..\..\external\lib\ogg.dll"
File "..\..\external\lib\vorbis.dll"
File "..\..\external\lib\vorbisenc.dll"
SectionEnd
Section "Windows Media Format Distribution (wmvdist.exe)"
SectionIn 1 4
MessageBox MB_YESNO|MB_ICONQUESTION \
             "Oddcast requires that you download the Windows Media Format Distribution.  A browser will now open the link : http://www.oddsock.org/wmvdist.exe" \
             IDNO NoWMA
ExecShell open http://www.oddsock.org/wmfdist.exe
NoWMA:

SectionEnd

Section "LAME encoder dll (for mp3 encoding)"
SectionIn 1 5
MessageBox MB_YESNO|MB_ICONQUESTION \
             "In order to broadcast in MP3, you must download the lame encoder dll (lame_enc.dll).  Due to legal issues, this cannot be distributed by me.  A browser will now open to a location that has been known to have copies :)" \
             IDNO NoLAME
ExecShell open http://home.pi.be/~mk442837/
NoLAME:
SectionEnd

; special uninstall section.
Section "uninstall"
Delete "$INSTDIR\dsp_oddcast_v2_bf.dll"
Delete "$INSTDIR\oddcast_editConfig.exe"
MessageBox MB_OK "OddcastV2 Winamp 2 DSP Removed" IDOK 0 ; skipped if file doesn't exist
SectionEnd
; eof